package basenet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Исходник предоставляет тип для хождения по базе.
*/

// BaseNet -- обзор базы
type BaseNet struct {
	*sectionnet.SectionNet
	strUrl string
}

// NewBaseNet -- возвращает новый *BaseNet
func NewBaseNet(server types.IServer, bot types.IServBot) (*BaseNet, error) {
	{ // Предусловие
		if server == nil {
			return nil, fmt.Errorf("NewBaseNet(): IServer == nil")
		}
		if bot == nil {
			return nil, fmt.Errorf("NewBaseNet(): IServBot == nil")
		}
	}
	strUrl := "http://wartank.ru/buildings"
	sf := &BaseNet{
		SectionNet: sectionnet.NewSectionNet(server, bot, bot.Angar().Base(), strUrl),
		strUrl:     strUrl,
	}
	return sf, nil
}
